0 Replies Latest reply: Jan 14, 2013 12:12 AM by user622239(S_Roy) RSS

    Oracle FTP Adapter supports SFTP server version 4 or later

    user622239(S_Roy)
      Hi Forum,
      As per oracle documentation
      [http://docs.oracle.com/cd/E23943_01/integration.1111/e10231/adptr_file.htm]
      section 4.2.2 FTP Server
      Oracle FTP Adapter supports SFTP server version 4 or later......

      We have WebLogic Server Version: 10.3.6.0 ,and SOA_Server (Version     11.1.1.6.0) installed in UNIX O/S.
      I have a environment (unix) with sftp version (on running version command in sftp)
      sftp> version
      SFTP protocol version 3

      When trying to connect to the SFTP I am getting exception :-

      BINDING.JCA-11445
      The SSH API threw an exception.
      The SSH API threw an exception.
      The SSH API threw an exception.
      Maverick has not been setup properly. Please correct the setup.
      at oracle.tip.adapter.ftp.SshImpl.SSHSessionImpl.setUpPasswordSocketConnection(SSHSessionImpl.java:206)
      ..........................................................................
      .......................................................................
      Caused by: java.net.ConnectException: Connection refused


      I have two questions:-
      1.Is this exception due to the fact that we are trying to connect to the sftp version 3?(in the forum i haven't come across any post which says the reason of this exception can be the sftp version.. )
      2.Is there a way out to connect to sftp version 3 from weblogic soa 11g?

      Thanks..